<?php

/*
Plugin Name: Disable WooCommerce Prices and Add to Cart for visitors
Plugin URI: http://conschneider.de/additional-registration-fields-wordpress-plugin
Description: Disables all WooCommerce product prices and add to cart buttons site wide for non logged in site visitors.  
Author: Con Schneider
Author URI: http://conschneider.de/
Version: 0.1
*/  

    add_action('after_setup_theme','dpac_hide_prices_and_addtocart') ; 
    
    function dpac_hide_prices_and_addtocart() {

    add_filter('woocommerce_get_price_html', 'dpac_display_price_for_logged_in_only');
    
    }
    
    function dpac_display_price_for_logged_in_only ( $price ) {
        
        if ( is_user_logged_in() ) {

        return $price;
    
        } else {
    
        remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart' );
        remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
        remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
        remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_price', 10 );
        

        return '<a href="' . get_permalink(woocommerce_get_page_id('myaccount')) . '">Login to view prices</a>';
    
            }
    }